%define libxfont %mklibname xfont 1
Name: libxfont
Summary:  X font Library
Version: 1.5.1
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.xz
Patch3: libXfont-1.3.4-rescan-catalogue-dir-fontpaths-on-directory-change.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: bzip2-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}
Requires: x11-font-encodings

%description -n %{libxfont}
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfont} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfont-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfont}-devel
Development files for %{name}

%pre -n %{libxfont}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxfont}-devel
%defattr(-,root,root)
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%package -n %{libxfont}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfont}-devel = %{version}
Provides: libxfont-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfont}-static-devel
Static development files for %{name}

%files -n %{libxfont}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfont.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%apply_patches


%build
%configure2_5x \
	--with-encodingsdir=%{_datadir}/fonts/encodings \
	--with-bzip2
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libxfont}
%defattr(-,root,root)
%{_libdir}/libXfont.so.1
%{_libdir}/libXfont.so.1.*


%changelog
* Sun Dec 04 2016 adrianomorselli <adrianomorselli> 1.5.1-3uplos2016
- rebuild

* Wed Jul 20 2016 bb <bb> 1.5.1-3pclos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 1.5.1-2pclos2016
- rebuild for 2016

* Fri Oct 30 2015 bb <bb> 1.5.1-1pclos2015
- update

* Sat Jan 18 2014 bb <bb> 1.4.7-1pclos2014
- update

* Fri May 24 2013 Texstar <texstar at gmail.com> 1.4.3-2pclos2013
- rebuild

* Sat May 14 2011 Texstar <texstar at gmail.com> 1.4.3-1pclos2011
- update for new xorg server


